using System;
using Drive.Rdf;
using System.Collections;

namespace DriveRDF
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			IRdfParserFactory factory = new RdfParserFactory();
			IRdfParser parser = factory.GetRdfXmlParser();
			IRdfGraph rdfGraph = parser.ParseRdf("test.rdf");
            Util.PrintNodes(rdfGraph);
			for (IEnumerator e = rdfGraph.Nodes.GetEnumerator(); e.MoveNext(); ) 
			{
				IRdfNode node = (IRdfNode)((DictionaryEntry)e.Current).Value;
                Util.PrintNTriple(node);
			}

		}
	}
}
