/*

  ORe - OWL ontology relevance library for Microsoft .NET
  (http://ore.mailabs.ru)

  Copyright (c) 2005, 2006 Sergey V. Mikhanov (MAILabs)

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  Version: $Id: $
  
*/

using System;

namespace Mailabs.Reasoning
{
    /// <summary>
    ///  .    ,  ,        .
    ///    ,       
    /// ( "A \sqsubseteq B, A \sqsubseteq C"  "A \sqsubseteq B \sqcap C").
    /// </summary>
    public class OwlDisjunctiveClass : OwlClass
    {
        public readonly OwlClassDictionary Disjuncts;

        public OwlDisjunctiveClass(string id) : base(id)
        {
            Disjuncts = new OwlClassDictionary();
        }
    }
}
