/*

  ORe - OWL ontology relevance library for Microsoft .NET
  (http://ore.mailabs.ru)

  Copyright (c) 2005, 2006 Sergey V. Mikhanov (MAILabs)

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  Version: $Id: $
  
*/

using System;
using System.Collections;

namespace Mailabs.Reasoning
{
    /// <summary>
    ///      .
    ///   : , , ,   ,   .
    /// </summary>
    [Serializable]
    public abstract class AbstractOwlGraph
    {
        public AbstractOwlGraph() {}
    }

    /// <summary>
    ///    ,   ,    .
    ///     ,    / --
    ///      .
    /// </summary>
    [Serializable]
    public class OwlGraph : AbstractOwlGraph
    {
        /// <summary>
        ///   .
        /// </summary>
        public readonly OwlClassDictionary Classes;

        /// <summary>
        ///   .
        /// </summary>
        public readonly OwlRoleDictionary Roles;

        public OwlGraph() 
        {
            Classes = new OwlClassDictionary();
            Roles = new OwlRoleDictionary();
        }
    }
}
