using System;
using System.Drawing;

namespace AQUARIUM
{
	/// <summary>
	/// 
	/// </summary>
	public class XOrdinaryAgent : AQUARIUM.XAgent
	{

		private static Color m_Color = Color.Navy;
		public override Color AgColor
		{
			get
			{
				return m_Color;
			}
		}

		public XOrdinaryAgent(XAgents a_Uplink):base(a_Uplink)
		{

		}

		public XOrdinaryAgent(XAgents a_Uplink, int a_x, int a_y, int a_xSpeed, int a_ySpeed):base( a_Uplink,a_x,a_y,a_xSpeed,a_ySpeed)
		{
		}

		public XOrdinaryAgent(XAgents a_Uplink, int a_x, int a_y, int a_xSpeed, int a_ySpeed, XFactor a_Prefs):base(a_Uplink,a_x,a_y,a_xSpeed,a_ySpeed,a_Prefs)
		{
			
		}



		/// <summary>
		/// Move + MoveManner
		///  . 
		///        ,      ,   ,           .         . ,  ,   ,      ,    .  ..       1,   ,     ,         
		

		/// <summary>
		/// ,    
		/// </summary>
		public void MoveManner(double intent)
		{
			XVector m_ModificationSpeed = new XVector();
			//        Random'
			XVector m = new XVector(-50, -50);
			//    (Random)
			m_ModificationSpeed = XVector.GetRandom(100, 100) + m;
				
			//  
			Speed =  Speed + m_ModificationSpeed;
			//  
			Speed.x = (int)((m_ModSpeed * Speed.x) / XVector.Mod(Speed));
			Speed.y = (int)((m_ModSpeed * Speed.y) / XVector.Mod(Speed));
			//     
			m_Memory.Add(intent, Speed, this.Location, this.m_Prefs);			
		}
		
		/// <summary>
		///  Move 
		/// </summary>
		public override void Move() 
		{
			//   -      
			XFactor v = m_Uplink.Uplink.m_Attractors.Potential(this.Location);
			
			double intent = v * this.m_Prefs;
         
			//  ?
			if ( intent >= m_Memory.Read(0))
			{
				//
				m_Memory.Add(intent, Speed, this.Location, this.m_Prefs);
			}	
			else 
			{	
				//
				MoveManner(intent);
			}
		}
	}
}
