using System;
using System.Collections.Generic;
using System.Text;

using jade.core;
using jade.core.behaviours;

namespace MyAgentApplication
{
    public class Agent1 : Agent
    {
        public override void setup()
        {
            addBehaviour(new Looper(this, 300));
            addBehaviour(new Looper(this, 500));
        }
    }

    public class Looper : SimpleBehaviour
    {
	
        static String offset = "";
        static long t0 = DateTime.Now.Second * 1000 + DateTime.Now.Millisecond;
    	
	    String tab = "" ;
	    int    n   = 1;
	    long   dt;
	
    	public Looper( Agent a, long dt) : base(a) {
		    this.dt = dt;
		    offset += "    " ;
            tab = offset;
	    }
	
	    public override void action() 
	    {
		    Console.WriteLine(tab +
               (DateTime.Now.Second * 1000 + DateTime.Now.Millisecond - t0) / 10 * 10 + ": " +
			    myAgent.getLocalName());
		    block( dt );
		    n++;
	    }

        public override Boolean done() { return n > 6; }

    }
}
