using System;
using System.Collections.Generic;
using System.Text;

using jade.core;
using jade.core.behaviours;

namespace MyAgentApplication
{
    public class Agent2 : Agent
    {

        public override void setup()
        {
            addBehaviour(new Step1());
            addBehaviour(new Looper(this, 300));
        }
    }

    class Step1 : SimpleBehaviour
    {
        int state = 0;

        public override void action()
        {
            if (state==0)  
				block( 200 );
			else {
                Console.WriteLine("--- Message 1 --- ");
				myAgent.addBehaviour( new Step2() );
			}
			state++;
        }

        public override Boolean done() { return state > 1; }
    }

    class Step2 : SimpleBehaviour
    {
        int state = 0;

        public override void action()
        {
            if (state == 0)
                block(600);
            else
            {
                Console.WriteLine("    - message 2 ");
                myAgent.doDelete();
            }
            state++;
        }

        public override Boolean done() { return state > 1; }
    }
}







