using System;
using System.Collections.Generic;
using System.Text;

using jade.core;
using jade.core.behaviours;

namespace MyAgentApplication
{
    public class Agent3 : Agent
    {

        public override void setup()
        {
            addBehaviour(new TwoSteps3());
            addBehaviour(new Looper(this, 300));
        }

    }

    class TwoSteps3 : SimpleBehaviour
    {
        int state = 1;

        public override void action()
        {
            switch (state)
            {
                case 1:
                    block(200);
                    break;

                case 2:
                    Console.WriteLine("--- Message 1 --- ");
                    block(800);
                    break;

                case 3:
                    Console.WriteLine("  -- message 2 --");
                    finished = true;
                    myAgent.doDelete();   // applies to the Agent
                    break;
            }
            state++;
        }

        private Boolean finished = false;
        public override Boolean done() { return finished; }
    }
 }