using System;
using System.Collections.Generic;
using System.Text;

using jade.core;
using jade.core.behaviours;

namespace MyAgentApplication
{
    public class Block2 : Agent 
    {

        public override void setup() 
        {
            addBehaviour( new BlockTwice() );
        }
    }

    class BlockTwice : SimpleBehaviour
    {
        static long t0 = DateTime.Now.Second * 1000 + DateTime.Now.Millisecond;

        public override void action() 
        {
            Console.WriteLine( "Start: "
                       + (DateTime.Now.Second * 1000 + DateTime.Now.Millisecond - t0));
            block(250);
            Console.WriteLine( "   after block(250): "
                       + (DateTime.Now.Second * 1000 + DateTime.Now.Millisecond - t0));
            block(1000);
            Console.WriteLine( "   after block(1000): "
                       + (DateTime.Now.Second * 1000 + DateTime.Now.Millisecond - t0));
            Console.WriteLine();
        }
        
        private int n = 0;
        public override Boolean done() { return ++n > 3; }
    }
}