using System;
using System.Collections.Generic;
using System.Text;

namespace Mailabs.Tutorial.MAS
{
    public class Consts
    {
        private Consts() { }

        public const string PROFILE_URI_PARAM = "profile";
        public const string FRIEND_NAME_PARAM = "friend";

        public const string AGENT_FOLDERS_PREFIX = "___";
        public const string AGENT_REQUESTS_FOLDER_SUFFIX = ".REQUESTS";
        public const string AGENT_PROCESSED_FOLDER_SUFFIX = ".PROCESSED";
        public const string AGENT_FAILED_FOLDER_SUFFIX = ".FAILED";

        public const string REQUEST_ROOT_CLASS = "Request";

        public const double ACQUAINTANCE_RELEVANCY_THRESHOLD = 0.05;
        public const double RESEND_WEIGHT_THRESHOLD = 0.2;
    }
}
